ZucchinY

编译 librime

因为本人使用的是 Mac 系统,所以需要先安装一些工具。

1
brew install cmake git boost

这三个工具是编译 liberime 用的,本来想从 GitHub 上下载,但是有问题,所以决定自己编译一份,这里测试了一下,只使用 CommandLineTools 是不行的,需要安全安装 xcode 才可以。

  1. 下载 librime 版本库
1
git clone --recursive https://github.com/rime/librime.git
  1. 编译第三方库
1
2
cd librime
make xcode/thirdparty
  1. 编译 librime
1
make xcode

编译 liberime

编译这个是依赖于 librime 文件的,需要先将依赖引进来。

  1. 下载 liberime 项目
1
git clone git@github.com:merrickluo/liberime.git
  1. 引入 librime 依赖
1
export RIME_PATH=~/DEV/librime
  1. 编译 liberime 文件
1
make liberime-core